<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs" xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    version="2.0">
    
    <xsl:template match="/">
        <TEI xmlns="http://www.tei-c.org/ns/1.0">
            <teiHeader>
                <fileDesc>
                    <titleStmt>
                        <title>Title</title>
                    </titleStmt>
                    <publicationStmt>
                        <p>Publication Information</p>
                    </publicationStmt>
                    <sourceDesc>
                        <p>Information about the source</p>
                    </sourceDesc>
                </fileDesc>
            </teiHeader>
            <text>
                <body>
                    <listPlace>
                        <xsl:for-each-group select="//rs[@type='place']" group-by="@key">
                            <place xml:id="{replace(current-grouping-key(),'\s','')}">
                                <placeName>
                                    <xsl:value-of select="current-grouping-key()"/>
                                </placeName>
                            </place>
                        </xsl:for-each-group>
                    </listPlace>
                </body>
            </text>
        </TEI>
    </xsl:template>
    
</xsl:stylesheet>